import Error from "./Error";
import React from "react";
var InputField = function (props) {
    var fieldType = props.fieldType, inputValue = props.inputValue, onInputChange = props.onInputChange, placeholder = props.placeholder, autoComplete = props.autoComplete, error = props.error, inputCustomClassName = props.inputCustomClassName, errorCustomClassName = props.errorCustomClassName;
    return (React.createElement(React.Fragment, null,
        React.createElement("input", { className: "$inputField ".concat(inputCustomClassName !== null && inputCustomClassName !== void 0 ? inputCustomClassName : ""), placeholder: placeholder !== null && placeholder !== void 0 ? placeholder : "Input data here...", type: fieldType, autoComplete: autoComplete !== null && autoComplete !== void 0 ? autoComplete : "off", value: inputValue, onChange: function (e) {
                var value = e.target.value;
                onInputChange(value);
            } }),
        error ? (React.createElement(Error, { error: error, customClassName: errorCustomClassName })) : null));
};
export default InputField;
